/*
  wplist.h
  Copyright (c) 2000 by Stewart Wilkinson G0LGS
*/

#ifndef _WPLIST_H
#define _WPLIST_H 1

struct wplist {
   char *call;
   char *ha;
   int type;
   struct wplist *next;
};

struct srch {
   char *data;
   struct srch *next;
};

#define WP_BAD_CALL  1
#define WP_BAD_HA    2
#define WP_OLD       3
#define WP_SEL_CALL  4
#define WP_SEL_HA    5
#define WP_TIME_ERR  6

extern void Insert_WP_Item(struct wplist **list, struct wplist *n);
extern int Add_WP_Item(struct wplist **list, char *callsign, char *hroute, int type);
extern void Free_WP_List(struct wplist **list);
extern void Remove_WP_Item(struct wplist **list, char *s);
extern void Show_WP_List(struct wplist **list);

extern void Insert_Search_Item(struct srch **list , struct srch *n);
extern int Add_Search_Item(struct srch **list , char *s);
extern void Free_Search_List(struct srch **list);
extern void Remove_Search_Item(struct srch **list, char *s);
extern void Show_Search_List(struct srch **list, char *s);
extern int Match_Item(struct srch **list, char *s);

#endif
